Extension { #name : #BrAsyncFileWidget }

{ #category : #'*VideoWeb' }
BrAsyncFileWidget >> url: aUrl [

	| realUrl imageUrl |
	realUrl := aUrl asZnUrl.

	realUrl scheme = #file ifTrue: [ 
		^ self file: realUrl asFileReference ].
	imageUrl := realUrl.
	realUrl host = 'www.youtube.com' ifTrue: [ | video |
		video := Invidious defaultInstance video: (realUrl queryAt: 'v').
		imageUrl := video defaultThumbnailLink asUrl.
	].

	self stencil: [ 
		(SkiaImage fromForm:
			 (Form fromBase64String: imageUrl retrieveContents base64Encoded))
			asElement constraintsDo: [ :c | 
			c horizontal matchParent.
			c vertical matchParent ] ]
]
