Class {
	#name : #VideoChannel,
	#superclass : #Object,
	#instVars : [
		'author',
		'authorId',
		'authorBanners',
		'authorThumbnails',
		'relatedChannels',
		'description',
		'subscribersCount',
		'totalViews',
		'isFamilyFriendly',
		'latestVideos'
	],
	#category : #VideoWeb
}

{ #category : #accessing }
VideoChannel >> author [
	^ author
]

{ #category : #accessing }
VideoChannel >> author: anObject [
	author := anObject
]

{ #category : #accessing }
VideoChannel >> authorBanners [
	^ authorBanners
]

{ #category : #accessing }
VideoChannel >> authorBanners: anObject [
	authorBanners := anObject
]

{ #category : #accessing }
VideoChannel >> authorId [
	^ authorId
]

{ #category : #accessing }
VideoChannel >> authorId: anObject [
	authorId := anObject
]

{ #category : #accessing }
VideoChannel >> authorThumbnails [
	^ authorThumbnails
]

{ #category : #accessing }
VideoChannel >> authorThumbnails: anObject [
	authorThumbnails := anObject
]

{ #category : #accessing }
VideoChannel >> description [
	^ description
]

{ #category : #accessing }
VideoChannel >> description: anObject [
	description := anObject
]

{ #category : #accessing }
VideoChannel >> isFamilyFriendly [
	^ isFamilyFriendly
]

{ #category : #accessing }
VideoChannel >> isFamilyFriendly: anObject [
	isFamilyFriendly := anObject
]

{ #category : #accessing }
VideoChannel >> latestVideos [
	^ latestVideos
]

{ #category : #accessing }
VideoChannel >> latestVideos: anObject [
	latestVideos := anObject
]

{ #category : #accessing }
VideoChannel >> relatedChannels [
	^ relatedChannels
]

{ #category : #accessing }
VideoChannel >> relatedChannels: anObject [
	relatedChannels := anObject
]

{ #category : #accessing }
VideoChannel >> subscribersCount [
	^ subscribersCount
]

{ #category : #accessing }
VideoChannel >> subscribersCount: anObject [
	subscribersCount := anObject
]

{ #category : #accessing }
VideoChannel >> totalViews [
	^ totalViews
]

{ #category : #accessing }
VideoChannel >> totalViews: anObject [
	totalViews := anObject
]
